Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Vukani
AuthorEmail: vukani@posteo.net
AuthorWebSite: https://vukani.io
WebSite: https://github.com/vukani-dev/improvement-roll
SourceCode: https://github.com/vukani-dev/improvement-roll
IssueTracker: https://github.com/vukani-dev/improvement-roll/issues
Bitcoin: 3JEbKevTtts3ZAdt4vKnN7sbqdAkcoDKqY

AutoName: Improvement Roll

RepoType: git
Repo: https://github.com/vukani-dev/improvement-roll

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: v1.0
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.18.1/node-v10.18.1-linux-x64.tar.xz
      - echo "8cc40f45c2c62529b15e83a6bbe0ac1febf57af3c5720df68067c96c0fddbbdf node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.18.1-linux-x64/. /usr/local/
      - npm -g install yarn
    init: yarn install
    gradle:
      - yes
    prebuild: sed -E -i '/installreferrer/,+11d' ../../node_modules/react-native-device-info/android/build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/react-native/android/com/facebook/react/react-native/*/
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/@react-native-async-storage/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/react-native-device-info/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
    scandelete:
      - node_modules/

  - versionName: '1.1'
    versionCode: 2
    commit: v1.1
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.18.1/node-v10.18.1-linux-x64.tar.xz
      - echo "8cc40f45c2c62529b15e83a6bbe0ac1febf57af3c5720df68067c96c0fddbbdf node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.18.1-linux-x64/. /usr/local/
      - npm -g install yarn
    init: yarn install
    gradle:
      - yes
    prebuild: sed -E -i '/installreferrer/,+11d' ../../node_modules/react-native-device-info/android/build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/react-native/android/com/facebook/react/react-native/*/
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/@react-native-async-storage/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/react-native-device-info/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
    scandelete:
      - node_modules/

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '1.1'
CurrentVersionCode: 2
